﻿// Copyright (c) Microsoft. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.

namespace Microsoft.Protocols.TestSuites.ActiveDirectory.Nrpc
{
    /// <summary>
    /// Platform type.
    /// </summary>
    public enum PlatformType
    {
        /// <summary>
        /// Microsoft Windows NT operating system.
        /// </summary>
        WindowsNt,

        /// <summary>
        /// Windows NT 4.0 SP2.
        /// </summary>
        WindowsNT4_0SP2,

        /// <summary>
        /// Windows NT 4.0 SP4.
        /// </summary>
        WindowsNT4_0SP4,

        /// <summary>
        /// Microsoft Windows 2000 operating system.
        /// </summary>
        Windows2000,

        /// <summary>
        /// Windows Server 2000.
        /// </summary>
        WindowsServer2000,

        /// <summary>
        /// Windows Server 2000 SP4.
        /// </summary>
        WindowsServer2000_SP4,

        /// <summary>
        /// Windows XP operating system.
        /// </summary>
        WindowsXp,

        /// <summary>
        /// Windows Server 2003 operating system.
        /// </summary>
        WindowsServer2003,

        /// <summary>
        /// Windows Vista operating system.
        /// </summary>
        WindowsVista,

        /// <summary>
        /// Windows Server 2008 operating system.
        /// </summary>
        WindowsServer2008,

        /// <summary>
        /// Windows 7 operating system.
        /// </summary>
        Windows7,

        /// <summary>
        /// Windows Server 2008 R2 operating system.
        /// </summary>
        WindowsServer2008R2,

        /// <summary>
        /// Windows 8 operating system.
        /// </summary>
        Windows8,

        /// <summary>
        /// Windows Server 2012 operation system
        /// </summary>
        WindowsServer2012,

        /// <summary>
        /// Windows 8.1 operating system.
        /// </summary>
        Windows8_1,

        /// <summary>
        /// Windows Server 2012 R2 operation system
        /// </summary>
        WindowsServer2012R2,

        /// <summary>
        /// Non windows.
        /// </summary>
        NonWindows,
    }
}
